# -*- coding: utf-8 -*-

"""Responses.

responses serve both testing purpose aswell as dynamic docstring replacement.
"""

responses = {
    "_v3_TimeZones": {
        "url": "/openapi/ref/v1/timezones",
        "response": {
            "Data": [
              {
                "DisplayName": "GMT a.k.a. UTC",
                "TimeZoneId": 0,
                "ZoneName": "Etc/UTC"
              },
              {
                "DisplayName": "British Time",
                "TimeZoneId": 1,
                "ZoneName": "Europe/London"
              },
              {
                "DisplayName": "Singapore Time",
                "TimeZoneId": 2,
                "ZoneName": "Asia/Singapore"
              },
              {
                "DisplayName": "US Eastern Time",
                "TimeZoneId": 3,
                "ZoneName": "America/New_York"
              },
              {
                "DisplayName": "Central European Time",
                "TimeZoneId": 4,
                "ZoneName": "Europe/Paris"
              },
              {
                "DisplayName": "US Central Time",
                "TimeZoneId": 5,
                "ZoneName": "America/Chicago"
              },
              {
                "DisplayName": "US Pacific Time",
                "TimeZoneId": 6,
                "ZoneName": "America/Los_Angeles"
              },
              {
                "DisplayName": "Hong Kong Time",
                "TimeZoneId": 7,
                "ZoneName": "Asia/Hong_Kong"
              },
              {
                "DisplayName": "Sydney Time",
                "TimeZoneId": 8,
                "ZoneName": "Australia/Sydney"
              },
              {
                "DisplayName": "New Zealand Time",
                "TimeZoneId": 9,
                "ZoneName": "Pacific/Auckland"
              },
              {
                "DisplayName": "GMT +9 No Daylight S.",
                "TimeZoneId": 10,
                "ZoneName": "Etc/GMT-9"
              },
              {
                "DisplayName": "GMT +7 No Daylight S.",
                "TimeZoneId": 11,
                "ZoneName": "Etc/GMT-7"
              },
              {
                "DisplayName": "Russia Zone 2",
                "TimeZoneId": 12,
                "ZoneName": "Europe/Moscow"
              },
              {
                "DisplayName": "GMT +8 No Daylight S.",
                "TimeZoneId": 13,
                "ZoneName": "Etc/GMT-8"
              },
              {
                "DisplayName": "Eastern European Time",
                "TimeZoneId": 14,
                "ZoneName": "Europe/Helsinki"
              },
              {
                "DisplayName": "Hawaii Time",
                "TimeZoneId": 15,
                "ZoneName": "Pacific/Honolulu"
              },
              {
                "DisplayName": "South African Time",
                "TimeZoneId": 16,
                "ZoneName": "Africa/Johannesburg"
              },
              {
                "DisplayName": "GMT +10 No Daylight S.",
                "TimeZoneId": 17,
                "ZoneName": "Etc/GMT-10"
              },
              {
                "DisplayName": "GMT+3",
                "TimeZoneId": 18,
                "ZoneName": "Etc/GMT-3"
              },
              {
                "DisplayName": "GMT+4",
                "TimeZoneId": 19,
                "ZoneName": "Etc/GMT-4"
              },
              {
                "DisplayName": "Brazil Sao Paulo",
                "TimeZoneId": 20,
                "ZoneName": "America/Sao_Paulo"
              },
              {
                "DisplayName": "Africa/Cairo",
                "TimeZoneId": 33,
                "ZoneName": "Africa/Cairo"
              },
              {
                "DisplayName": "America/Caracas",
                "TimeZoneId": 104,
                "ZoneName": "America/Caracas"
              },
              {
                "DisplayName": "America/Halifax",
                "TimeZoneId": 130,
                "ZoneName": "America/Halifax"
              },
              {
                "DisplayName": "America/La_Paz",
                "TimeZoneId": 147,
                "ZoneName": "America/La_Paz"
              },
              {
                "DisplayName": "Asia/Kolkata",
                "TimeZoneId": 256,
                "ZoneName": "Asia/Kolkata"
              },
              {
                "DisplayName": "Atlantic/Azores",
                "TimeZoneId": 298,
                "ZoneName": "Atlantic/Azores"
              }
            ]
        }
    }
}
